Get document
curl --request GET \
--url https://realtime-api.voiceflow.com/v1alpha1/public/knowledge-base/document/{documentID} \
--header 'authorization: <api-key>'import requests
url = "https://realtime-api.voiceflow.com/v1alpha1/public/knowledge-base/document/{documentID}"
headers = {"authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {authorization: '<api-key>'}};
fetch('https://realtime-api.voiceflow.com/v1alpha1/public/knowledge-base/document/{documentID}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"documentID": "<string>",
"data": {
"type": "url",
"name": "<string>",
"url": "<string>",
"lastSuccessUpdate": "<string>",
"accessTokenID": 123,
"integrationExternalID": "<string>"
},
"updatedAt": "2023-11-07T05:31:56Z",
"status": {
"data": "<unknown>"
}
},
"chunks": [
{
"chunkID": "<string>",
"content": "<string>",
"metadata": {}
}
],
"metadata": [
{
"key": "<string>",
"values": [
"<string>"
]
}
]
}Get document
Fetch all chunks and metadata for the specified document.
GET
/
v1alpha1
/
public
/
knowledge-base
/
document
/
{documentID}
Get document
Authorizations
Voiceflow API key
Path Parameters
ID of the document to target.
Query Parameters
The alias of the environment to target (ie. main). You can find this in the environments page of your agent.
💡 Tip: Learn more about Environments.
Response
200 - application/json
The target document was found.
Hide child attributes
Hide child attributes
- Option 1
- Option 2
- Option 3
- Option 4
- Option 5
- Option 6
- Option 7
- Option 8
Hide child attributes
Hide child attributes
Available options:
url Available options:
daily, weekly, monthly, never Available options:
zendesk, shopify Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$Was this page helpful?
⌘I